# Administration Reference

## kas apropos

Purpose

Displays each help entry containing a keyword string

Synopsis

    kas apropos -topic <help string>  [-help]

    kas a  -t <help string>  [-h]

Description

The kas apropos command displays the first line of the online help entry for any kas command that has the string specified by the -topic argument in its name or short description.

To display the syntax for a command, use the kas help command.

Options

-topic
  Specifies the keyword string to match, in lowercase letters only. If the string is more than a single word, surround it with double quotes ("") or other delimiters.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The first line of a command's online help entry names it and briefly describes its function. This command displays the first line for any kas command where the string specified with the -topic argument is part of the command name or first line.

Examples

The following command lists all kas commands that include the word key in their names or short descriptions:

       % kas apropos key
       setkey: set a user's key
       stringtokey: convert a string to a key

Privilege Required

None, and no password is required.

Related Information

kas

kas help

© IBM Corporation 2000. All Rights Reserved